Healthcare

  • OpenAPI Version: 3.1.0
  • API Version: 1.0.0

Operations

POST clinical_notes.note_created

  • Method: POST
  • Path: clinical_notes.note_created
  • Tags: clinical_notes

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who started the clinical notes session in the meeting and owns the note document.

    • object (required)

      object — Information about the meeting clinical note.

      • ehr_context_available (required)

        boolean — Indicates whether the EHR context data (such as appointment, patient, and provider identifiers) is available for this clinical note.

      • meeting_host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID. After a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/using-zoom-apis/#double-encoding) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

      • meeting_number (required)

        string — The meeting's number.

      • meeting_topic (required)

        string — Meeting topic.

      • note_created_time (required)

        string, format: date-time — The date and time when the clinical note was created.

      • note_end_time (required)

        string, format: date-time — The clinical note's end date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format.

      • note_id (required)

        string — Unique identifier of the note.

      • note_owner_user_id (required)

        string — The user ID of the user who started the clinical notes session and owns the note document.

      • note_start_time (required)

        string, format: date-time — The clinical note's start date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format.

      • note_title (required)

        string — The clinical note title.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "meeting_id": "",
      "meeting_number": "",
      "meeting_topic": "",
      "meeting_host_id": "",
      "note_id": "ArfRXokSTiGTCSYFVtxNa",
      "note_owner_user_id": "dqV7XEpnS5G3rGsvqylmjQ",
      "note_start_time": "",
      "note_end_time": "",
      "note_created_time": "",
      "note_title": "",
      "ehr_context_available": true,
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who started the clinical notes session in the meeting and owns the note document.

    • object (required)

      object — Information about the meeting clinical note.

      • ehr_context_available (required)

        boolean — Indicates whether the EHR context data (such as appointment, patient, and provider identifiers) is available for this clinical note.

      • meeting_host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID. After a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/using-zoom-apis/#double-encoding) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

      • meeting_number (required)

        string — The meeting's number.

      • meeting_topic (required)

        string — Meeting topic.

      • note_created_time (required)

        string, format: date-time — The date and time when the clinical note was created.

      • note_end_time (required)

        string, format: date-time — The clinical note's end date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format.

      • note_id (required)

        string — Unique identifier of the note.

      • note_owner_user_id (required)

        string — The user ID of the user who started the clinical notes session and owns the note document.

      • note_start_time (required)

        string, format: date-time — The clinical note's start date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format.

      • note_title (required)

        string — The clinical note title.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "meeting_id": "",
      "meeting_number": "",
      "meeting_topic": "",
      "meeting_host_id": "",
      "note_id": "ArfRXokSTiGTCSYFVtxNa",
      "note_owner_user_id": "dqV7XEpnS5G3rGsvqylmjQ",
      "note_start_time": "",
      "note_end_time": "",
      "note_created_time": "",
      "note_title": "",
      "ehr_context_available": true,
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}